Test the ad-server source connection
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/test-connection \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/test-connection"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/test-connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"error": "<string>",
"testedAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"remediation": "<string>",
"details": {},
"capabilityChecks": [
{
"capability": "<string>",
"status": "passed",
"message": "<string>",
"errorCode": "<string>",
"remediation": "<string>",
"details": {}
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Test the ad-server source connection
Probe the upstream adapter for reachability against the provisioned ad-server credentials.
POST
/
inventory-sources
/
{sourceId}
/
test-connection
Test the ad-server source connection
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/test-connection \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/test-connection"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/test-connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"error": "<string>",
"testedAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"remediation": "<string>",
"details": {},
"capabilityChecks": [
{
"capability": "<string>",
"status": "passed",
"message": "<string>",
"errorCode": "<string>",
"remediation": "<string>",
"details": {}
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1Response
Test the ad-server source connection
Result of probing the upstream managed ad-server source for reachability.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Show child attributes
Show child attributes